Package org.apache.nutch.net

## Interface URLNormalizer

- All Superinterfaces:
    `Configurable`
  All Known Implementing Classes:
    `AjaxURLNormalizer`, `BasicURLNormalizer`, `HostURLNormalizer`, `PassURLNormalizer`, `ProtocolURLNormalizer`, `QuerystringURLNormalizer`, `RegexURLNormalizer`, `SlashURLNormalizer`

      public interface URLNormalizer
      extends Configurable

  Interface used to convert URLs to normal form and optionally perform substitutions

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `X_POINT_ID` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `normalize​(String urlString, String scope)` |

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### X_POINT_ID

          static final String X_POINT_ID

  - ### Method Detail

    - #### normalize

          String normalize​(String urlString,
                           String scope)
                    throws MalformedURLException

      Throws:
        `MalformedURLException`